Summary:	GNU privacy guard - a free PGP replacement
Name:		gnupg
Version:	1.4.19
%define subrel	2
Release:	%mkrel 1
License:	GPLv3
Group:		File tools
URL:		http://www.gnupg.org
Source:		ftp://ftp.gnupg.org/gcrypt/gnupg/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/gnupg/%{name}-%{version}.tar.bz2.sig
Patch1:		gnupg-1.4.2.2-use-agent-by-default.diff
Patch4:		gnupg-1.4.5-ppc64.patch
Patch5:		gnupg-1.4.19-remove_left_over_debug_msg.patch
# splitted off from the previous debian patch
Patch6:		gnupg-1.4.7-deb-free_caps.patch
Patch7:		gnupg-1.4.7-deb-manpage.patch
Patch8:		gnupg-1.4.7-deb-min_privileges.patch
Patch9:		0046-cipher-Improve-readability-by-using-a-macro.patch
Patch10:	0047-random-Hash-continuous-areas-in-the-csprng-pool.patch
Requires(post): info-install
Requires(preun): info-install
BuildRequires:	bzip2-devel
BuildRequires:	docbook-utils
BuildRequires:	gettext
BuildRequires:	libcurl-devel >= 7.10
BuildRequires:	libtermcap-devel
BuildRequires:	pkgconfig(libusb)
BuildRequires:	openldap-devel
BuildRequires:	perl
BuildRequires:	readline-devel
BuildRequires:	sendmail-command
BuildRequires:	bison

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep

%setup -q
%patch1 -p0 -b .use_agent
%patch4 -p1 -b .ppc64
%patch5 -p1 -b .debug
%patch6 -p1 -b .free_caps
%patch7 -p1 -b .manpage
%patch8 -p1 -b .min_privileges
%patch9 -p1
%patch10 -p1

%build
%serverbuild
%configure2_5x \
	--libexecdir=%{_libdir} \
	--without-included-regex \
	--without-included-gettext \
	--without-included-zlib \
	--with-static-rnd=linux \
	--disable-rpath \
	--without-capabilities \
	--enable-noexecstack \
%ifarch %{sunsparc}
	--enable-m-guard
%else
	--disable-m-guard
%endif
%make

%check
# all tests must pass
make check

%install
%makeinstall_std

sed -e "s#../g10/gpg#gpg#" < tools/lspgpot > %{buildroot}%{_bindir}/lspgpot

perl -pi -e 's|/usr/local|/usr/|' %{buildroot}%{_mandir}/man1/gpg.1

# install some extra man pages by debian
install -m0644 debian/gpgsplit.1 %{buildroot}%{_mandir}/man1/
install -m0644 debian/lspgpot.1 %{buildroot}%{_mandir}/man1/

# installed but not wanted
rm -f %{buildroot}%{_datadir}/gnupg/{FAQ,faq.html}
rm -f %{buildroot}%{_datadir}/locale/locale.alias

%{find_lang} %{name}

%post
%_install_info gnupg1.info
/bin/true

%postun
%_remove_install_info gnupg1.info
/bin/true

%files -f %{name}.lang
%doc README NEWS THANKS TODO doc/DETAILS doc/FAQ doc/HACKING
%doc doc/OpenPGP doc/samplekeys.asc
%doc doc/gpgv.texi
%attr(0755,root,root) %{_bindir}/gpg
%attr(0755,root,root) %{_bindir}/gpgv
%attr(0755,root,root) %{_bindir}/lspgpot
%attr(0755,root,root) %{_bindir}/gpgsplit
%attr(0755,root,root) %{_bindir}/gpg-zip
%dir %{_libdir}/gnupg
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_curl
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_finger
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_hkp
%attr(0755,root,root) %{_libdir}/gnupg/gpgkeys_ldap
%dir %{_datadir}/gnupg
%{_datadir}/gnupg/options.skel
%{_mandir}/man1/*
%{_infodir}/gnupg1.info*



%changelog
* Thu Aug 18 2016 luigiwalser <luigiwalser> 1.4.19-1.2.mga5
+ Revision: 1046912
- add patches from debian to fix CVE-2016-6313

* Fri Mar 06 2015 luigiwalser <luigiwalser> 1.4.19-1.mga5
+ Revision: 817952
- 1.4.19 (fixes CVE-2014-3591 and CVE-2015-0837)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.18-4.mga5
+ Revision: 749600
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.18-3.mga5
+ Revision: 679827
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.4.18-2.mga5
+ Revision: 643616
- Replace libusb*-devel BuildRequires by better ones

* Tue Jul 01 2014 luigiwalser <luigiwalser> 1.4.18-1.mga5
+ Revision: 641773
- 1.4.18

* Tue Jun 24 2014 luigiwalser <luigiwalser> 1.4.17-1.mga5
+ Revision: 639282
- 1.4.17

* Wed Dec 18 2013 oden <oden> 1.4.16-1.mga4
+ Revision: 558615
- 1.4.16 (fixes CVE-2013-4576)

* Mon Oct 21 2013 umeabot <umeabot> 1.4.15-2.mga4
+ Revision: 540584
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 oden <oden> 1.4.15-1.mga4
+ Revision: 494006
- 1.4.15 (fixes CVE-2013-4351, CVE-2013-4402)

* Sat Jul 27 2013 boklm <boklm> 1.4.14-1.mga4
+ Revision: 458785
- Version 1.4.14 (CVE-2013-4242)

* Wed May 15 2013 boklm <boklm> 1.4.13-3.mga3
+ Revision: 413253
- Remove /etc/RPM-GPG-KEYS as it seems to be unused (#1744)

* Sat Jan 12 2013 umeabot <umeabot> 1.4.13-2.mga3
+ Revision: 352368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 oden <oden> 1.4.13-1.mga3
+ Revision: 337180
- use "--libexecdir=%%{_libdir}" to avoid breakage
- 1.4.13 (memory access errors and keyring database corruption fixes)

* Wed Mar 07 2012 boklm <boklm> 1.4.12-1.mga2
+ Revision: 220950
- update to version 1.4.12

* Sat Jan 15 2011 pterjan <pterjan> 1.4.11-1.mga1
+ Revision: 19167
- imported package gnupg

